com.aliyun.svideosdk.editor

## Interface AliyunICompose

- All Superinterfaces:
    AliyunIBaseCompose

  Deprecated.

      @Deprecated
      public interface AliyunICompose
      extends AliyunIBaseCompose

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AliyunICompose.AliyunIUploadCallBack` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cancelUpload()` Deprecated. Cancels uploading.
    `int` | `init(Context context)` Deprecated. Initializer.
    `void` | `pauseUpload()` Deprecated. Pauses uploading.
    `int` | `refreshSTSToken(java.lang.String accessKeyId, java.lang.String accessKeySecret, java.lang.String token, java.lang.String expiration)` Deprecated. Updates the STS token.
    `void` | `release()` Deprecated. Releases resources.
    `void` | `resumeUpload()` Deprecated. Resumes uploading.
    `void` | `setUploadRetryAndTimeout(int retryCount, int connectTimeoutMills, int readTimeoutMills)` Deprecated. Sets the retry configuration.
    `int` | `uploadWithVideoAndImg(java.lang.String thumbnail, java.lang.String accessKeyId, java.lang.String accessKeySecret, java.lang.String token, java.lang.String expiration, SvideoInfo info, boolean istranscode, java.lang.String storageLocation, java.lang.String templateGroupId, AliyunICompose.AliyunIUploadCallBack callback)` Deprecated. Uploads the composed video and a thumbnail of the video.

    - ### Methods inherited from interface com.aliyun.svideosdk.editor.AliyunIBaseCompose

      `cancelCompose, compose, pauseCompose, resumeCompose, setRenderCallback`

- - ### Method Detail

    - #### init

          int init(Context context)

      Deprecated.
      Initializer. This method must be invoked at the very beginning.
      Specified by:
        `init` in interface `AliyunIBaseCompose`
      Parameters:
        `context` - Recommended value: applicationContext.
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful. `AliyunErrorCode.ERROR_COMPOSE_INIT_FAILED` if the context parameter is null.

    - #### setUploadRetryAndTimeout

          void setUploadRetryAndTimeout(int retryCount,
                                        int connectTimeoutMills,
                                        int readTimeoutMills)

      Deprecated.
      Sets the retry configuration.
      Parameters:
        `retryCount` - The maximum number of retries.
        `connectTimeoutMills` - The connection timeout value in milliseconds.
        `readTimeoutMills` - The socket timeout value in milliseconds..

    - #### uploadWithVideoAndImg

          int uploadWithVideoAndImg(java.lang.String thumbnail,
                                    java.lang.String accessKeyId,
                                    java.lang.String accessKeySecret,
                                    java.lang.String token,
                                    java.lang.String expiration,
                                    SvideoInfo info,
                                    boolean istranscode,
                                    java.lang.String storageLocation,
                                    java.lang.String templateGroupId,
                                    AliyunICompose.AliyunIUploadCallBack callback)

      Deprecated.
      Uploads the composed video and a thumbnail of the video.
      Parameters:
        `thumbnail` - The URL of the thumbnail.
        `accessKeyId` - The temporary AccessKeyId.
        `accessKeySecret` - The temporary AccessKeySecret.
        `token` - The STS token.
        `expiration` - The token expiration information.
        `info` - The video description.
        `istranscode` - Whether to transcode the video after upload is complete. true indicates yes. false indicates no.
        `storageLocation` - The origin server bucket.
        `templateGroupId` - The transcoding template.
        `callback` - The custom callback.
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful. `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR` if the invocation fails because a status error occurs, for example, the object is not initialized, the upload is in progress, or the composition is in progress. `AliyunErrorCode.ERROR_PARAM_INVALID_COMPOSE` if the invocation fails because either of the following parameters is null: thumbnail, accessKeyId, accessKeySecret, or expiration.
      See Also:
        `SvideoInfo`

    - #### refreshSTSToken

          int refreshSTSToken(java.lang.String accessKeyId,
                              java.lang.String accessKeySecret,
                              java.lang.String token,
                              java.lang.String expiration)

      Deprecated.
      Updates the STS token. When the callback `AliyunICompose.AliyunIUploadCallBack.onSTSTokenExpired()` is invoked, it indicates that the token has expired. Call this method to update the token and then call `resumeUpload()` to resume uploading.
      Parameters:
        `accessKeyId` - The AccessKeyId.
        `accessKeySecret` - The AccessKeySecret.
        `token` - The STS token.
        `expiration` - The token expiration information.
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful.

    - #### cancelUpload

          int cancelUpload()

      Deprecated.
      Cancels uploading.
      Returns:
        `AliyunErrorCode.OK` if the invocation is successful. `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR` if the invocation fails because the status is incorrect.

    - #### resumeUpload

          void resumeUpload()

      Deprecated.
      Resumes uploading.

    - #### pauseUpload

          void pauseUpload()

      Deprecated.
      Pauses uploading.

    - #### release

          void release()

      Deprecated.
      Releases resources.
      Specified by:
        `release` in interface `AliyunIBaseCompose`